Browser - Edit - doesn't work for OWS services

2014-02-04 09:30 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 18085

Description

I have a number of OGC services set up and accessible via the Browser.

If I right-click on the name of a service for WMS or WFS or WCS, I get the standard interface dialog.

However, if I right click on any of the same layers in the OWS list, the "Edit" function doesn't work.
History

#1 - 2014-02-16 02:01 PM - Giovanni Manghi

- Target version set to Version 2.2

#2 - 2014-03-08 04:30 AM - Richard Duivenvoorde

Same for the 'delete' option: also working for wms/wfs/wcs but not for ows

#3 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#4 - 2015-01-21 02:36 AM - Radim Blazek

- Resolution set to wontfix

- Status changed from Open to Closed

There is no "real" OWS services list stored in QGIS settings, what you see in the browser is just mix of layers from W*S services with the same name. It is

not possible to open any OWS edit dialog because there is no such dialog in QGIS. In theory it would be possible to delete all W*S of the same name from

OWS tree section, but it seems too dangerous to me.
